Loading...
Searching...
No Matches
ArrayIO.h File Reference
`#include <vector>`
`#include <ostream>`
`#include <regex>`
`#include <casacore/casa/Arrays/ArrayFwd.h>`
`#include <casacore/casa/IO/ArrayIO.tcc>`

Go to the source code of this file.

## Classes

struct | casacore::ArrayIO_global_functions_Array_IO
| More...
struct | casacore::ArrayIO_global_functions_Array_binary_IO
| Global functions to read/write binary arrays from/to a file. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Functions

template<typename T, typename Alloc>
void | casacore::readAsciiVector (Vector< T > &vec, const char *fileName)
| These two functions read and write a Vector of data.
template<typename T, typename Alloc>
void | casacore::writeAsciiVector (const Vector< T > &vec, const char *fileName)
AipsIO & | operator<< (AipsIO &aio, const IPosition &ip)
AipsIO & | operator>> (AipsIO &aio, IPosition &ip)
LogIO & | operator<< (LogIO &os, const IPosition &ip)
template<typename T, typename Alloc>
Block< T > | makeBlock (const Array< T > &array)
template<typename T>
Vector< T > | makeVector (const Block< T > &block)
Vector< String > | stringToVector (const String &string, char delim=',')
Vector< String > | stringToVector (const String &string, const std::regex &delim)

## Function Documentation

## makeBlock()

template<typename T, typename Alloc>

Block< T > makeBlock | ( | const Array< T > & | array | ) |

## makeVector()

template<typename T>

Vector< T > makeVector | ( | const Block< T > & | block | ) |

## operator<<() [1/2]

AipsIO & operator<< | ( | AipsIO & | aio,
|  | const IPosition & | ip )

## operator<<() [2/2]

LogIO & operator<< | ( | LogIO & | os,
|  | const IPosition & | ip )

## operator>>()

AipsIO & operator>> | ( | AipsIO & | aio,
|  | IPosition & | ip )

## stringToVector() [1/2]

Vector< String > stringToVector | ( | const String & | string,
|  | char | delim = ',' )

## stringToVector() [2/2]

Vector< String > stringToVector | ( | const String & | string,
|  | const std::regex & | delim )